<template>
  <v-dialog scrollable max-width="720px">
    <template #activator="{ props: dialogProps }">
      <v-icon v-bind="dialogProps"> mdi-help-circle-outline </v-icon>
    </template>
    <template #default="{ isActive }">
      <v-card>
        <v-card-title class="text-primary">Help: Search</v-card-title>
        <v-card-text class="text-subtitle-1 help-text">
          <p>The gene detail page offers diverse search options:</p>
          <p>
            <b>Gene search:</b> Utilize gene identifiers for
            <i>Tribolium</i> (e.g., TC number) or <i>Drosophila</i> (e.g. CG
            number, FGgn number), gene names (e.g., knirps, croc) or iBeetle
            number (e.g., iB_00108).
          </p>
          <p>
            <b>Search for RNAi phenotypes:</b><br />
            Search for <b>morphological structures</b> (e.g. <i>leg</i> or
            <i>elytra</i>) that were affected by an RNAi knock-down in the
            iBeetle screen. Your search for a structure (e.g. <i>leg</i>) will
            include results for all substructures (e.g. <i>tarsus</i> and
            <i>femur</i> and <i>coxa</i> and …).
          </p>
          <p>
            You may also search for other aspects such as the
            <b>nature of a phenotypic change</b> (e.g. <i><u>colour</u></i> or
            <i><u>transformed</u></i
            >). Keep in mind that the same phenotype can be described by
            different term combinations (e.g., "<u>leg shortened</u>" or "<u
              >leg size decreased</u
            >"), such that restricted searches may not be comprehensive.
          </p>
          <p>
            <b>Combining terms</b> such as "<u>abdomen transformed</u>" will
            only reveal annotations where both terms are found in one phenotype
            description. Of note, the results will include all substructures
            such as "<u>urogomphi transformed</u>" because urogomphi are part of
            the abdomen. To exclude urogomphi from the results you can enter:
            "<u
              >abdomen transformed
              <span class="text-no-wrap">-urogomphi</span></u
            >".
          </p>
          <p>
            "larva head", "pupal head" or "adult head" makes the search
            <b>stage specific</b>.
          </p>
          <p>
            You may use <b>logic operators</b> AND/OR/NOT to combine terms from
            all categories: "<u>head AND wing</u>" will reveal genes that
            affected both structures. "<u>(head AND wing) AND NOT muscle</u>"
            will remove genes where any muscle phenotype was annotated.
          </p>
          <p>
            <b>We recommend 80% penetrance</b> because the iBeetle-Screen was a
            first-pass high-throughput screen, which aimed at not missing any
            phenotype with the downside of allowing for false positive
            annotations. We found that phenotypes with a penetrance of 50% or
            lower were often not well reproducible. Still, valid phenotypes may
            be annotated with lower penetrance, e.g. when several phenotypes
            with low penetrance affect several substructures of one
            morphological unit (e.g. coxa 30%, trochanter 50% and tarsus 30%
            might add up to a high overall penetrance of the affected structure
            <i>leg</i>.). For technical reasons, we were not able to reliably
            calculate the overall penetrance from such datasets.
          </p>
        </v-card-text>
        <v-card-actions>
          <v-spacer />
          <v-btn @click="isActive.value = false">Close</v-btn>
        </v-card-actions>
      </v-card>
    </template>
  </v-dialog>
</template>

<style scoped>
.help-text > p {
  margin-bottom: 1rem;
}
</style>
